"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DropdownUser;

var _react = _interopRequireDefault(require("react"));

require("./dropdownuser.scss");

var _reactBootstrap = require("react-bootstrap");

function DropdownUser(_ref) {
  var _ref$userdata = _ref.userdata,
      name = _ref$userdata.name,
      companyName = _ref$userdata.companyName;
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-testid": 'dropdownUser'
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: require("../../../../assets/img/avatar.png"),
    alt: 'avatar',
    className: 'avatar'
  }), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown, {
    className: 'name-avatar',
    title: /*#__PURE__*/_react.default.createElement("label", null, /*#__PURE__*/_react.default.createElement("span", null, name), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement("span", null, companyName)),
    id: 'avatarDropdown'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action3'
  }, "Action"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action4'
  }, "Another action"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Divider, null), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action5'
  }, "Something else here")));
}