"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _reactRouterDom = require("react-router-dom");

var _i18next = _interopRequireDefault(require("i18next"));

var _footersubmit = _interopRequireDefault(require("./footersubmit"));

jest.mock('react-i18next', function () {
  return {
    useTranslation: function useTranslation() {
      return {
        t: function t(key) {
          return key;
        }
      };
    }
  };
});
describe('render footersubmit component', function () {
  test('footersubmit component', function () {
    (0, _react.render)(React.createElement(_footersubmit.default, null), {
      wrapper: _reactRouterDom.MemoryRouter
    });

    var FootersubmitCustomEle = _react.screen.getByTestId('footersubmit');

    expect(FootersubmitCustomEle).toBeInTheDocument();
  });
});