"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _i18next = _interopRequireDefault(require("i18next"));

var _formsearch = _interopRequireDefault(require("./formsearch"));

jest.mock('react-i18next', function () {
  return {
    useTranslation: function useTranslation() {
      return {
        t: function t(key) {
          return key;
        }
      };
    }
  };
});
describe('render Formsearch component', function () {
  test('Formsearch component', function () {
    (0, _react.render)(React.createElement(_formsearch.default, null));

    var FormsearchCustomEle = _react.screen.getByTestId('formsearch');

    expect(FormsearchCustomEle).toBeInTheDocument();
  });
});