"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Uploaddocument;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _reactBootstrap = require("react-bootstrap");

var _i18next = _interopRequireDefault(require("i18next"));

var _reactI18next = require("react-i18next");

var _reactDropzone = require("react-dropzone");

require("./uploaddocument.scss");

var _datepicker = _interopRequireDefault(require("../datepicker/datepicker"));

var _bs = require("react-icons/bs");

var _gr = require("react-icons/gr");

var _fa = require("react-icons/fa");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Uploaddocument(props) {
  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t,
      i18n = _useTranslation.i18n;

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      isUpload = _useState2[0],
      setIsupload = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      file = _useState4[0],
      setFile = _useState4[1];

  var _useState5 = (0, _react.useState)(0),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      filesize = _useState6[0],
      setFilesize = _useState6[1];

  var _useState7 = (0, _react.useState)(0),
      _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
      loader = _useState8[0],
      setLoader = _useState8[1];

  var timer = (0, _react.useRef)(null); //const [startDate, setStartDate] = useState(new Date());

  var _useState9 = (0, _react.useState)(null),
      _useState10 = (0, _slicedToArray2.default)(_useState9, 2),
      startDate = _useState10[0],
      setStartDate = _useState10[1];

  var amimateloader = function amimateloader() {
    timer.current = setInterval(function () {
      setLoader(function (v) {
        return v < 100 ? v + 1 : clearInterval(timer.current);
      });
    }, 10);
  };

  var _useDropzone = (0, _reactDropzone.useDropzone)({
    accept: {
      'image/*': ['.jpeg', '.png', '.jpg'],
      'application/pdf': ['.PDF'],
      'application/msword': ['.doc'],
      'application/vnd.openxmlformats-officedocument.wordprocessingml.document': ['.docx']
    },
    onDrop: function onDrop(acceptedFiles) {
      setFile(acceptedFiles[0]);
      setLoader(0);
      setIsupload(true);
      setFilesize(parseInt(acceptedFiles[0].size / 1024));
      amimateloader();
    }
  }),
      getRootProps = _useDropzone.getRootProps,
      getInputProps = _useDropzone.getInputProps,
      isDragActive = _useDropzone.isDragActive;

  var defultData = function defultData() {
    setStartDate(null);
    setFile(false);
  };

  return /*#__PURE__*/_react.default.createElement(_reactBootstrap.Container, {
    className: 'container-document-uploader',
    "data-testid": "uploaddocument-".concat(props.doc.id)
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, {
    className: 'uploader-view'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: '2',
    md: '2',
    sm: '3',
    xs: '2',
    className: 'img-co'
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'content-v'
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: props.doc.srcImg,
    alt: 'logo',
    className: 'logo'
  }))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: '10',
    md: '10',
    sm: '9',
    xs: '10',
    className: 'img-co content-upload'
  }, /*#__PURE__*/_react.default.createElement("p", {
    className: 'title-c'
  }, props.doc.title), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, {
    className: 'pad-mar-0'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: '8',
    md: '8',
    sm: '12',
    className: 'uploader-co'
  }, file ? /*#__PURE__*/_react.default.createElement("div", {
    className: 'container-loader'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    xs: '6',
    className: 'name-file'
  }, /*#__PURE__*/_react.default.createElement("p", null, file.name)), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    xs: '6',
    className: 'size-file'
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: 'close-file',
    onClick: defultData
  }, /*#__PURE__*/_react.default.createElement(_gr.GrClose, {
    value: {
      color: 'blue'
    }
  })), /*#__PURE__*/_react.default.createElement("span", {
    className: 'data-size'
  }, filesize, " KB of ", filesize, " KB", ' '))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: '12',
    className: 'progress-file'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.ProgressBar, {
    variant: 'info',
    now: loader
  })))) : /*#__PURE__*/_react.default.createElement("div", {
    className: 'container-upload'
  }, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
    className: 'add-file'
  }, getRootProps()), /*#__PURE__*/_react.default.createElement("input", getInputProps()), /*#__PURE__*/_react.default.createElement("span", {
    className: 'elicon'
  }, /*#__PURE__*/_react.default.createElement(_bs.BsFillArrowUpCircleFill, null)), isDragActive ? /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement("span", {
    className: 'el1'
  }, t('Drop the files here ...'))) : /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement("span", {
    className: 'el2'
  }, t('Add file')), /*#__PURE__*/_react.default.createElement("span", {
    className: 'el3'
  }, t('or')), /*#__PURE__*/_react.default.createElement("span", {
    className: 'el4'
  }, t('Drop down here')))))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: '4',
    md: '4',
    sm: '12',
    className: 'expiry-co'
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "input-container ".concat(file ? '' : 'disabled')
  }, /*#__PURE__*/_react.default.createElement(_datepicker.default, {
    id: props.id,
    className: 'expiry-input',
    placeholder: t('Expiry date'),
    disabled: "".concat(file ? '' : 'disabled'),
    onclick: '',
    startDate: startDate,
    dateFormat: 'dd/MM/yy'
  }, /*#__PURE__*/_react.default.createElement(_fa.FaRegCalendar, null)), /*#__PURE__*/_react.default.createElement("span", {
    className: 'block-input'
  }, /*#__PURE__*/_react.default.createElement("label", null, /*#__PURE__*/_react.default.createElement("span", null, t('Expiry date')), /*#__PURE__*/_react.default.createElement(_fa.FaRegCalendar, null))))))), /*#__PURE__*/_react.default.createElement("div", {
    className: 'line'
  })));
}