"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _i18next = _interopRequireDefault(require("i18next"));

var _uploaddocument = _interopRequireDefault(require("./uploaddocument"));

jest.mock('react-i18next', function () {
  return {
    useTranslation: function useTranslation() {
      return {
        t: function t(key) {
          return key;
        }
      };
    }
  };
});
test('Should render DatepickerCustom component', function () {
  //expect(true).toBe(true);
  var doc = {
    id: 1,
    title: 'Valid Commerce Regestration',
    srcImg: require("@assets/img/co.png")
  };
  (0, _react.render)(React.createElement(_uploaddocument.default, {
    doc: doc
  }));

  var DatepickerCustomEle = _react.screen.getByTestId('uploaddocument-1');

  expect(DatepickerCustomEle).toBeInTheDocument();
});