"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.expiryDate = exports.cvvData = void 0;

var cvvData = function cvvData(val, setCvv) {
  if (!isNaN(val)) {
    if (val.length >= 0 && val.length < 4) {
      setCvv(val);
    }
  }
};

exports.cvvData = cvvData;

var expiryDate = function expiryDate(val, setExpiry) {
  var checkFinal = val.split('');
  val = val.replace(/\//g, '');

  if (checkFinal[checkFinal.length - 1] === '/') {
    setExpiry(val);
  } else {
    if (!isNaN(val)) {
      if (val.length >= 0 && val.length < 5) {
        var st = val.split('');
        var newstring = '';

        for (var i = 0; i < st.length; i++) {
          newstring = newstring + st[i];

          if (i === 1) {
            newstring = "".concat(newstring, "/");
          }
        }

        setExpiry(newstring);
      }
    }
  }
};

exports.expiryDate = expiryDate;