"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Layout = void 0;

var _footer = _interopRequireDefault(require("./components/layout/dashboard/registration/footer/footer"));

var _Stepper = _interopRequireDefault(require("./components/Stepper/Stepper"));

var _breadcrumb = _interopRequireDefault(require("./components/layout/CatalogueManagement/breadcrumb/breadcrumb"));

var _formsearch = _interopRequireDefault(require("./components/layout/dashboard/formsearch/formsearch"));

var _modalsubmit = _interopRequireDefault(require("./components/layout/dashboard/registration/modalsubmit/modalsubmit"));

var _breadcrumbV = _interopRequireDefault(require("./components/layout/CatalogueManagement/breadcrumbV3/breadcrumbV3"));

var _dropdownuser = _interopRequireDefault(require("./components/layout/dashboard/dropdownuser/dropdownuser"));

var _footersubmit = _interopRequireDefault(require("./components/layout/dashboard/registration/footersubmit/footersubmit"));

var _headerDetails = _interopRequireDefault(require("./components/layout/CatalogueManagement/headerDetails/headerDetails"));

var _uploaddocument = _interopRequireDefault(require("./components/layout/dashboard/uploaddocument/uploaddocument"));

var _datepicker = _interopRequireDefault(require("./components/layout/dashboard/datepicker/datepicker"));

var _headerWithBreadcrumb = _interopRequireDefault(require("./components/layout/CatalogueManagement/headerWithBreadcrumb/headerWithBreadcrumb"));

var Layout = {
  Footer: _footer.default,
  Stepper: _Stepper.default,
  BreadCrumb: _breadcrumb.default,
  Formsearch: _formsearch.default,
  Modalsubmit: _modalsubmit.default,
  Footersubmit: _footersubmit.default,
  BreadcrumbV3: _breadcrumbV.default,
  DropdownUser: _dropdownuser.default,
  HeaderDetails: _headerDetails.default,
  Uploaddocument: _uploaddocument.default,
  DatepickerCustom: _datepicker.default,
  HeaderWithBreadcrumb: _headerWithBreadcrumb.default
};
exports.Layout = Layout;